# Cetus Terminal

### **Demo**&#x20;

<https://terminal.cetus.zone/>

### To use it in HTML

```html
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Terminal</title>
  <link rel="stylesheet" href="https://archive.cetus.zone/assets/terminal/style.css">
  <script src="https://archive.cetus.zone/assets/terminal/main.js"></script>
</head>
<body>
  <div id="cetus-terminal"></div>
  <script>
    window.CetusSwap.init({
      containerId: "cetus-terminal",
      independentWallet: true,
      displayMode: 'Integrated',
    });
  </script>
</body>
</html>

```

Replace the script section with the code snippet generated in your own demo to get your html code.

**Note:**

Please note that the resource paths have been updated to <https://archive.cetus.zone/assets/terminal/style-v2.css> and <https://archive.cetus.zone/assets/terminal/main-v2.js> since terminal v2.0.0.

### Install from NPM and use it in your react project

<https://www.npmjs.com/package/@cetusprotocol/terminal>

To use the components in the `@cetusprotocol/terminal`, wrap your app with the providers shown in the following example. The props available on the providers are covered in more detail in their respective pages.

```jsx
import { createNetworkConfig, SuiClientProvider, WalletProvider } from'@mysten/dapp-kit';
import { getFullnodeUrl } from'@mysten/sui/client';
import { QueryClient, QueryClientProvider } from'@tanstack/react-query';

// Config options for the networks you want to connect to
const { networkConfig } =createNetworkConfig({
  mainnet: { url:getFullnodeUrl('mainnet') },
});
constqueryClient=newQueryClient();

functionApp() {
  return (
    <QueryClientProviderclient={queryClient}>
		<SuiClientProvidernetworks={networkConfig} defaultNetwork="localnet">
			<WalletProvider>
			     <YourApp />
			</WalletProvider>
		 </SuiClientProvider>
    </QueryClientProvider>
  );
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/cetus-terminal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
